Unit tmni1r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, MNI05_p, FMNI1R_p, FGMNI1R_p, MNI1R_p;

function tmni1r: String;

implementation

function tmni1r: String;
var
N,M,L,I,IW :Integer;
X :Array [0..1] of Real;
F :Array [0..2] of Real;
G :Array [0..1] of Real;
A :Array [0..1] of Real;
B :Array [0..1] of Real;
UP :Array [0..14] of Real;
I0 :Array [0..2] of Integer;
RM :Array [0..28] of Real;
label
_10;
begin
Result := '';  {   }
UP[0] := 2.0;
UP[1] := 1.0;
UP[2] := 3.0;
UP[3] := 1.0;
UP[4] := 20.0;
UP[5] := 1.E-7;
UP[6] := 1.E-9;
UP[7] := 1.E-3;
UP[8] := 0.0;
UP[9] := 30.0;
UP[10] := 0.1;
UP[11] := 0.1;
UP[12] := 0.01;
UP[13] := 100;
UP[14] := 6;
N := 2;
M := 2;
L := 3;
for I:=1 to N do
 begin
  A[I-1] := -1.E+10;
  B[I-1] := 1.E+10;
_10:
 end;
X[0] := 2.0;
X[1] := 2.0;
MNI1R(N,X,A,B,M,L,F,FMNI1R,G,FGMNI1R,UP,I0,RM,IW,MNI05);
Result := Result + Format('%s',[' IW = ']);
Result := Result + Format('%3d ',[IW]) + #$0D#$0A;
Result := Result + Format('%s',[' PAEHT EEBO HK: ']);
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%20.16f ',[G[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmni1r',Result);  {     tmni1r.res }
exit;
end;

end.
