Unit MNI05_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, MNI20_p;

procedure MNI05(FUN :Proc_F4_MN; var A :Array of Real;
                var B :Array of Real; N :Integer; M :Integer;
                L :Integer; var Y :Array of Real; var FY :Real;
                var F :Array of Real; var FS :Real;
                var X :Array of Real; var P :Array of Real; GFP :Real;
                var R :Array of Real);

implementation

procedure MNI05(FUN :Proc_F4_MN; var A :Array of Real;
                var B :Array of Real; N :Integer; M :Integer;
                L :Integer; var Y :Array of Real; var FY :Real;
                var F :Array of Real; var FS :Real;
                var X :Array of Real; var P :Array of Real; GFP :Real;
                var R :Array of Real);
var
I,IS_,IS1 :Integer;
STEP1,FMIN,SMIN,FX,FS1 :Real;
label
_5,_10,_15,_20,_21,_25,_27,_28,_29,_30,_35,_40,_45,_47,_50,_55,_60,
_63,_65,_67,_70,_75,_80,_85;
begin
STEP1 := _MNI2.elm5;
FMIN := 1.E+18;
SMIN := 0.0;
IS_ := 0;
IS1 := 0;
_5:
if ( _MNI2.elm5 < _MNI2.elm12 ) 
 then goto _65;
for I:=1 to N do
 begin
_10:
  X[I-1] := Y[I-1]+_MNI2.elm5*P[I-1];
 end;
if ( SMIN <> 0 ) and ( IS_ <> 1 ) 
 then goto _21;
for I:=1 to N do
 begin
  if ( X[I-1] < A[I-1] ) or ( X[I-1] > B[I-1] ) 
   then goto _20;
_15:
 end;
goto _21;
_20:
if ( IS_ = 1 ) 
 then goto _70;
IS1 := 1;
_MNI2.elm5 := _MNI2.elm5/2.0;
goto _5;
_21:
MNI20(FUN,N,M,L,X,FX,F,FS);
if ( _MNI2.elm9 <> 4 ) 
 then goto _25;
if ( FS <= _MNI2.elm4*_MNI2.elm3 ) 
 then goto _25;
if ( IS_ = 1 ) 
 then goto _70;
IS1 := 1;
_MNI2.elm5 := _MNI2.elm5/2.0;
goto _5;
_25:
if ( IS_ <> 0 ) 
 then goto _35;
_27:
if ( FX-FY <= _MNI2.elm5*0.5*GFP ) 
 then goto _29;
if ( FX < FMIN ) 
 then goto _40;
_28:
_MNI2.elm5 := _MNI2.elm5/2.0;
goto _5;
_29:
if ( FX >= FMIN ) and ( SMIN <> STEP1 ) 
 then goto _70;
if ( SMIN = STEP1 ) and ( FX >= FMIN ) and ( IS1 = 1 ) 
 then goto _70;
if ( SMIN = STEP1 ) and ( FX >= FMIN ) and ( IS1 = 0 ) 
 then goto _60;
if ( SMIN = 0 ) and ( IS1 = 0 ) 
 then goto _30;
IS_ := -1;
goto _40;
_30:
IS_ := -2;
goto _40;
_35:
if ( FX >= FMIN ) 
 then goto _55;
_40:
for I:=1 to L do
 begin
_45:
  R[I-1] := F[I-1];
 end;
FMIN := FX;
SMIN := _MNI2.elm5;
FS1 := FS;
if ( IS_ = 1 ) 
 then goto _50;
_47:
_MNI2.elm5 := _MNI2.elm5/2.0;
goto _5;
_50:
_MNI2.elm5 := _MNI2.elm5*2.0;
goto _5;
_55:
if ( IS_ <> -2 ) 
 then goto _70;
_60:
IS_ := 1;
_63:
_MNI2.elm5 := STEP1*2.0;
goto _5;
_65:
if ( FMIN >= FY ) 
 then goto _67;
if ( SMIN <> STEP1 ) or ( IS1 = 1 ) 
 then goto _70;
goto _60;
_67:
_MNI2.elm9 := 9;
goto _85;
_70:
for I:=1 to L do
 begin
_75:
  F[I-1] := R[I-1];
 end;
for I:=1 to N do
 begin
_80:
  X[I-1] := Y[I-1]+SMIN*P[I-1];
 end;
FY := FMIN;
_MNI2.elm5 := SMIN;
FS := FS1;
_85:
end;

end.
